
def zip_longest(*args, fillvalue=0):
    """Combine several iterables into one iterable that stops when the shortest iterable is exhausted.

    Args:
        *args: An arbitrary number of iterables.
        fillvalue: The value to use for missing values in the shorter iterables.

    Returns:
        An iterator that aggregates elements from each of the iterables.

    """
    from itertools import zip_longest
    return zip_longest(*args, fillvalue=fillvalue)


